import org.junit.jupiter.api.*;

import static org.junit.jupiter.api.Assertions.assertEquals;

@TestMethodOrder(MethodOrderer.OrderAnnotation.class)
class BankAccountOrderedExecutionTest {
    static BankAccount bankAccount = BankAccount.builder()
            .balance(0.00)
            .minimumBalance(0.00).build();

    @Test
    @Order(2)
    @DisplayName("test withdraw")
    void testWithdraw() {
        bankAccount.withDraw(300.00);
        assertEquals(200.00, bankAccount.getBalance());
    }

    @Test
    @Order(1)
    @DisplayName("test deposit")
    void testDeposit() {
        bankAccount.deposit(500.00);
        assertEquals(500, bankAccount.getBalance());
    }
}